1. jonjonbock's Avatar
    I have the Motorola Moto G (1st Generation) and when I go to the Google Play Store to download/update Motorola Updates Services, it says it isn't compatible with my device. I have auto-update on, my phone isn't rooted, and my carrier is AT&T. I really want to get Android Lollipop 5.0 as soon as possibly possible but I know that I have to get Motorola Updates Services first...
    02-21-2015 08:08 PM
  2. jonjonbock's Avatar
    Please respond if you know anything!
    02-21-2015 08:59 PM

Similar Threads

  1. Replies: 4
    Last Post: 06-08-2015, 03:10 AM
  2. How to I get rid of anonymous text messages?
    By AC Question in forum Ask a Question
    Replies: 2
    Last Post: 03-05-2015, 02:37 AM
  3. Replies: 4
    Last Post: 02-23-2015, 03:57 PM
  4. No service
    By Inmartol13 in forum Ask a Question
    Replies: 1
    Last Post: 02-21-2015, 09:25 PM
  5. Replies: 1
    Last Post: 02-21-2015, 08:19 PM